SoTextureOverrideElement(3)

NAME
SoTextureOverrideElement - The SoTextureOverrideElement makes it possible to override texture elements.

SYNOPSIS

#include <Inventor/elements/SoTextureOverrideElement.h>

Inherits SoElement.

  Public Member Functions
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo () const
virtual void init (SoState *state)
virtual void push (SoState *state)
virtual void print (FILE *fp) const
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
virtual void pop (SoState *state, const SoElement *prevTopElement)
void setDepth (const int depth)
int getDepth (void) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static SbBool getQualityOverride (SoState *state)
static SbBool getImageOverride (SoState *state)
static SbBool getBumpMapOverride (SoState *state)
static void setQualityOverride (SoState *state, const SbBool value)
static void setImageOverride (SoState *state, const SbBool value)
static void setBumpMapOverride (SoState *state, const SbBool value)
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Types
enum { TEXTURE_QUALITY = 0x1, TEXTURE_IMAGE = 0x2, BUMP_MAP = 0x4 }

  Protected Member Functions
virtual ~SoTextureOverrideElement ()
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoTextureOverrideElement makes it possible to override texture elements.

Constructor & Destructor Documentation

  SoTextureOverrideElement::~SoTextureOverrideElement (void ) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTextureOverrideElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  int SoTextureOverrideElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoTextureOverrideElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoTextureOverrideElement::initClass (void ) [static]
Initialize relevant common data for all instances, like the type system.

  SbBool SoTextureOverrideElement::matches (const SoElement * element) const [virtual]
This function returns TRUE is the element matches another element (of the same class), with respect to cache validity.

If the application programmer's extension element has a matches() function, it should also have a copyMatchInfo() function.

Implements SoElement.

  SoElement * SoTextureOverrideElement::copyMatchInfo (void ) const [virtual]
This function creates a copy of the element that contains enough information to enable the matches() function to work.

Used to help with scene graph traversal caching operations.

Implements SoElement.

  void SoTextureOverrideElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoElement.

  void SoTextureOverrideElement::push (SoState * state) [virtual]
This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoElement.

  void SoTextureOverrideElement::print (FILE * file) const [virtual]
This function is for printing element information, and is used mostly for debugging purposes.

Reimplemented from SoElement.

Author

Generated automatically by Doxygen for Coin from the source code.